playerDb = {};
function reformatInt(i)
  return tostring(i):reverse():gsub("%d%d%d", "%1,"):reverse():gsub("^,", "")
end

function GallywixFrame_OnEvent(self, event, ...)
	   local realmName = GetRealmName()
	   local playerName = UnitFullName("player")
		-- set frame width and height.
        GallywixAll:SetHeight(28)
		GallywixAll:SetWidth(225)  
		GallywixFrame:SetHeight(28)
        GallywixFrame:SetWidth(225)         

        -- get player data and set
		if (playerDb[playerName .. "-" .. realmName] == nil) then
			GallywixAll:SetText("Character not found");
			GallywixName:SetText("Error:");
		else
			if(playerDb[playerName .. "-" .. realmName] < 1 ) then
				GallywixAll:SetText("0 gold");
			else
				GallywixAll:SetText(reformatInt(GetCoinText(playerDb[playerName .. "-" .. realmName]))) 
			end
			GallywixName:SetText(playerName .. "-" .. realmName);
		end  
end

function GallywixFrame_OnLoad(self)
    self:RegisterEvent("PLAYER_MONEY");
    self:RegisterEvent("PLAYER_ENTERING_WORLD")
    self:RegisterEvent("CHAT_MSG_CURRENCY")
    self:RegisterEvent("CURRENCY_DISPLAY_UPDATE")
    -- Indicate version at load time
    local version = tostring(GetAddOnMetadata("Gallywix","Version")) 
	
end

